Subject: Re: [MOBILE-IP] Experiences with the Aironet/Wavelan drivers

From: Theo PAGTZIS <[email-masked]>
Date: Wed, 24 Nov 1999 15:29:54 +0000

Hi Fred,

  Thanks very much for responding first of all. That has not been the case
with Bill or the Columbia guys yet (sent the email yesterday). I am prepared
to take the matter into more depth and see if I can do anything about it. I
really like the Aironet interface and I think it is a shame not to have it
running.

Any help would be simply APPRECIATED !!!

>I'm using both the WaveLAN and Aironet drivers from Bill Paul's
>efforts on the Cellular IP project. I also had trouble with the
>Aironet in infrastructure mode; when I put it in infrastructure
>mode with the 'ancontrol' command, it seems to sync up with the
>base station and even receive packets. But I can't seem to send
>anything thru the base station. I can go back and dig up my earlier
>notes for more specific observations as to what is going on, if
>you'd like.
>

With respect to the Wavelan ISA (which is also acting as a PCCARD) I should
first state that the sales people at Lucent are worse than japanese cars. Some
3 weeks ago they had in their product range the famous Wavelan ISA turbo,
which claimed to do 11 Mbps signalling rate (careful here this is not user
Tput) and now the product has vanished from their product range. Obviously
they are chasing Aironet here to get into the market perspective and while
doing that they remove products that in the 'light of confusion' so that they
cover their traces of continuous new product deployment to persuade the market
that they can do 11 Mbps too. The only line that can prove such understanding
now is the following :

(taken from www.wavelan.com)

"Like the previous Turbo product, the Turbo 11Mb ISA/PCI Card offers 4 speed
options (11 Mbit/s, 5.5 Mbit/s, 2 Mbit/s and 1 Mbit/s), providing you the ideal
combination of throughput and range.."

So according to lucent the four speeds are 1,2,5.5 and 11 not 1,2,4,6 as the
driver support. Now why this mismatch I dunno.. I assumed that was what the
engineering of the driver could pull out of the h/w.

>About the WaveLAN performance, I didn't get a chance to investigate
>that problem in-depth, but 'wicontrol' gives the option to set the
>WaveLAN speed parameters.

wicontrol is my main path of communication with the interface. I was even
tempted to get into the code to check what is happening there..Are you sure
the Wavelan cards were spec'd at 6Mbps?

Did you check with 'wicontrol' to see if
>the speed parameters were set to enable the higher data rates? The
>other thing is that the 'Turbo Bronze' series of WaveLAN cards are
>spec'd at 6Mbps; no driver S/W could possibly make them attain 11Mbps.
>Could this have been the point of confusion?

I have the Bronze cards...

Theo

>
>Just out of curiosity, did you take these concerns directly to
>the Cellular IP people before raising the issue here?
>
>Regards,
>
>Fred
>[email-masked]

---

From: "Moelard, Henri (Henri)" <[email-masked]>
Date: Fri, 26 Nov 1999 09:38:34 +0100

Theo,
        I understand your problems are under FreeBSD. That makes it
difficult for me to help further. I don't know what driver this is, and who
developed it. We have seen a FreeBSD driver that had incorrect Ethernet-II
en- or de-capsulation. It is difficult to see if that causes your problems,
but it could. Especially since you seem to have these problems with both
Aironet and WaveLAN cards.

If someone cares to look into the driver, I'll be happy to provide the
specification on what the en/decapsulation should do. Then we can either
eliminate this as the source of your problems, or correct it.

The WaveLAN cards do not use the PRIM chipset.
Our policy is that our firmware is backwards compatibile. The firmware
(version 4.32) that is currently available on our web-site can operate on
the new Turbo 11 Mb cards as well as on the previous Turbo (8 Mb) and 2
Mbit/s cards.

Please note one of my previous messages. "Gold" is an indication for the
encryption level, not for the data rates supported.

For interoperability, you should use the new WaveLAN Turbo 11 Mb cards.
The previous WaveLAN Turbo cards are not 11 Mbit/s (but 8), and are
interoperable at 2 Mbit/s only.

Regards.
        Henri

> ----------
> From:         Theo PAGTZIS[SMTP:[email-masked]]
> Sent:         donderdag 25 november 1999 19:37
> To:   Moelard, Henri (Henri)
> Cc:   [email-masked]
> Subject:      Re: [MOBILE-IP] Experiences with the Aironet/Wavelan drivers
>
>
> Moelard,
>
>    Your response is much appreciated. I would have to emphasise here that
> my
> tests that are NOT on Windows boxes. They are under FreeBSD and Linux.
>
> Although I amkeen in Fbsd I hate to say that linux has got the drivers
> there
> and they are working..how well is a different story in terms of
> throughput..So
> any behaviour that I describe is under these OS and not Windows.
>
> I would also appreciate if you could let us know if your new card (gold)
> is
> using the prismII chipset and whether that incurs a different firmaware.
> If
> that is the case then I would imagine that at least for Freebsd that could
>
> render the existing drivers as inoperable (at least for the time
> being...).
>
>
> Theo
>
>
>
>
>
>
>
>
> -----------------------------------------
>
> Theodore Pagtzis
> Networked Mmedia & Mobile Systems Group
> Dept of Computer Science
> University College London
>
> -----------------------------------------
>
>
>
> >During interoperability testing at the UNH IOL the Aironet and WaveLAN
> Turbo
> >11 Mb (and a couple of other 802.11b) products were proven to be
> >interoperable. (See
> >http://www.iol.unh.edu/consortiums/wireless/hrdsss_aug99gtp.html )
> >The few minor problems that popped up have been resolved and retested
> >successfully afterwards.
> >However, I understand you are using drivers that are not provided by
> Aironet
> >and Lucent.
> >For the WaveLAN cards, the Ethernet-II encapsulation according 802.1H
> (i.e.
> >Bridge Tunnel for selected protocols, else RFC1042) is to be done in the
> >driver. The WavePOINT access point also does the en/decapsulation when
> >forwarding frames between Ethernet and 802.11.
> >You may indeed want to verify that your drivers implement the
> encapsulation
> >correctly.
> >
> >Regards.
> >     Henri  ([email-masked])
> >
> >
> >> ----------
> >> From:      Theo PAGTZIS[SMTP:[email-masked]]
> >> Reply To:  Theo PAGTZIS
> >> Sent:      woensdag 24 november 1999 19:43
> >> To:        [email-masked]
> >> Subject:   Re: [MOBILE-IP] Experiences with the Aironet/Wavelan drivers
> >>
> >> Francis,
> >>
> >>   thanks for your response. I though that it may be beneficial for the
> >> rest to
> >> listen to that.
> >>
> >> I have tried to get the Aironet interfaces to talk to a WavelanII
> >> interface
> >> through a WavePointII AP (Lucent)...guess what I could ping from the
> >> WavelanII
> >> interface the Aironet one but not vice versa. I also tried to telnet
> and
> >> ftp
> >> and the login went ok...when I tried simple things like ls or cd then I
> >> did
> >> not get any echos back leaving me to believe that the aironet default
> to a
> >> different encapsulation method than the WavePoint can understand...by
> the
> >> way
> >> the aironet driver should in theory be able to do 802.1H or
> RFC1042..but
> >> when
> >> it came to verifying that through the Aironet BS the interface simply
> >> failed..
> >>
> >> I did not want to get down to Bridge config since I was trying to get
> the
> >> essentials up first..
> >>
> >> Regards
> >>
> >> Theo
> >> [email-masked]
> >>
>
>